Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.mina
Class AsyncMinaTaskClient

    java.lang.Object
      org.jbpm.task.service.TaskClient
          org.jbpm.task.service.mina.AsyncMinaTaskClient

All Implemented Interfaces:
  AsyncTaskService

    public class AsyncMinaTaskClient

extends TaskClient

Constructor Summary
`AsyncMinaTaskClient()`
`AsyncMinaTaskClient(String connectorName)`

Method Summary

Methods inherited from class org.jbpm.task.service.TaskClient
`activate, addAttachment, addComment, addTask, claim, claim, claimNextAvailable, claimNextAvailable, complete, completeWithResults, connect, connect, delegate, deleteAttachment, deleteComment, deleteFault, deleteOutput, disconnect, exit, fail, forward, getContent, getSubTasksAssignedAsPotentialOwner, getSubTasksByParent, getTask, getTaskByWorkItemId, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsExcludedOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByStatus, getTasksAssignedAsPotentialOwnerByStatusByGroup, getTasksAssignedAsRecipient, getTasksAssignedAsTaskInitiator, getTasksAssignedAsTaskStakeholder, getTasksByStatusByProcessId, getTasksByStatusByProcessIdByTaskName, getTasksOwned, getTasksOwned, nominate, query, register, registerForEvent, release, remove, resume, setDocumentContent, setFault, setOutput, setPriority, skip, start, stop, suspend, unregisterForEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncMinaTaskClient

    public AsyncMinaTaskClient(String connectorName)

### AsyncMinaTaskClient

    public AsyncMinaTaskClient()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.